org.restlet.data

## Enum Dimension

- java.lang.Object
- - java.lang.Enum<Dimension>
  - - org.restlet.data.Dimension

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Dimension>

    public enum Dimension
    extends java.lang.Enum<Dimension>

Dimension on which the representations of a resource may vary. Note that when used with HTTP connectors, this class maps to the "Vary" header.

Author:
  Jerome Louvel, Piyush Purang (ppurang@gmail.com)
See Also:
  `Response.getDimensions()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTHORIZATION`
`CHARACTER_SET`
`CLIENT_ADDRESS`
`CLIENT_AGENT`
`ENCODING`
`LANGUAGE`
`MEDIA_TYPE`
`TIME`
`UNSPECIFIED`

### Method Summary

Methods
`static Dimension` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Dimension[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTHORIZATION

    public static final Dimension AUTHORIZATION

#### CHARACTER_SET

    public static final Dimension CHARACTER_SET

#### CLIENT_ADDRESS

    public static final Dimension CLIENT_ADDRESS

#### CLIENT_AGENT

    public static final Dimension CLIENT_AGENT

#### UNSPECIFIED

    public static final Dimension UNSPECIFIED

#### ENCODING

    public static final Dimension ENCODING

#### LANGUAGE

    public static final Dimension LANGUAGE

#### MEDIA_TYPE

    public static final Dimension MEDIA_TYPE

#### TIME

    public static final Dimension TIME

### Method Detail

#### values

    public static Dimension[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Dimension c : Dimension.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Dimension valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null